Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.cmbrowser.controls
Interface CmBrowserFoldersControl

All Superinterfaces
  ContentControlBase<com.bea.apps.groupspace.cmbrowser.CmBrowserFolder,com.bea.apps.groupspace.cmbrowser.CmBrowserFolder>, FoldersControlBase<com.bea.apps.groupspace.cmbrowser.CmBrowserFolder,com.bea.apps.groupspace.cmbrowser.CmBrowserFolder>, Serializable

    public interface CmBrowserFoldersControl

extends FoldersControlBase<com.bea.apps.groupspace.cmbrowser.CmBrowserFolder,com.bea.apps.groupspace.cmbrowser.CmBrowserFolder>

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Method Summary
`com.bea.content.paging.ISortableFilterablePagedList<com.bea.content.Node>` | `getChildrenViaNode(com.bea.content.Node fakeNode)`
`com.bea.content.Node` | `getFakeNode(String key)`
`com.bea.apps.groupspace.cmbrowser.CmBrowserFolder` | `getFolder(String name, String searchExpression, com.bea.content.Node searchFromNode)` Look for it before creating.
`com.bea.apps.groupspace.cmbrowser.CmBrowserFolder` | `getFolder(String name, String searchExpression, com.bea.content.Node searchFromNode, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, String owner)` Look for it before creating.

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Method Detail

### getFolder

    com.bea.apps.groupspace.cmbrowser.CmBrowserFolder getFolder(String name,
                                                                String searchExpression,
                                                                com.bea.content.Node searchFromNode,
                                                                com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                                                String owner)
                                                                throws com.bea.content.AuthorizationException,
                                                                       com.bea.content.NoSuchNodeException,
                                                                       com.bea.content.RepositoryException

  Look for it before creating. Specify visibility and owner. This will create the folder if it doesn't exist.

  Throws
    `com.bea.content.AuthorizationException`
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`

### getFolder

    com.bea.apps.groupspace.cmbrowser.CmBrowserFolder getFolder(String name,
                                                                String searchExpression,
                                                                com.bea.content.Node searchFromNode)
                                                                throws com.bea.content.AuthorizationException,
                                                                       com.bea.content.NoSuchNodeException,
                                                                       com.bea.content.RepositoryException

  Look for it before creating. Take default visibility "Community" and owner "GroupSpace" . This will create the folder if it doesn't exist.

  Throws
    `com.bea.content.AuthorizationException`
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`

### getChildrenViaNode

    com.bea.content.paging.ISortableFilterablePagedList<com.bea.content.Node> getChildrenViaNode(com.bea.content.Node fakeNode)
                                                                                                 throws com.bea.content.AuthorizationException

  Throws
    `com.bea.content.AuthorizationException`

### getFakeNode

    com.bea.content.Node getFakeNode(String key)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved